<h1 class="title">Nouveau Ideflux</h1>

<form [formGroup]="creationForm">
    <mat-form-field>
        <input matInput placeholder="Titre" formControlName="title"/>
    </mat-form-field>
    <div>
      <editor
      style="width: 100%;"
      apiKey="qxoy7jymrjlivuno6zw8gmxb5aivctmj6570yh43v362sg71"
      [initialValue]="ideflux.post.content"
      formControlName="content"
      [init]="{
          height: 500,
          menubar: false,
          plugins: [
          'advlist autolink lists link image charmap print',
          'preview anchor searchreplace visualblocks code',
          'fullscreen insertdatetime media table paste',
          'help wordcount'
          ],
          toolbar:
          'undo redo | formatselect | bold italic | \
          alignleft aligncenter alignright alignjustify | \
          bullist numlist outdent indent | help'
      }"
      >
      </editor>
    </div>
    <mat-form-field>
        <input matInput placeholder="Lien git" formControlName="git_link"/>
    </mat-form-field>
    <!-- <mat-form-field>
        <input matInput [matAutocomplete]="auto" placeholder="Chercher un tag"> 
        <mat-autocomplete #auto="matAutocomplete" multiple formControleName="tags"> 
            <mat-option *ngFor="let tag of filterTags | async" [value]="tag">{{tag}}</mat-option>
        </mat-autocomplete>
    </mat-form-field> -->
    <mat-form-field>
        <mat-label>Tags</mat-label>
        <mat-chip-list #chipList aria-label="Tag selection">
          <mat-chip
            *ngFor="let tagTitle of currentTagTitles"
            [selectable]="selectable"
            [removable]="removable"
            (removed)="remove(tagTitle)">
            {{tagTitle}}
            <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
          </mat-chip>
          <input
            placeholder="Nouveau tag..."
            #tagInput
            formControlName="tags"
            [matAutocomplete]="auto"
            [matChipInputFor]="chipList"
            [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
            (matChipInputTokenEnd)="add($event)">
        </mat-chip-list>
        <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
          <mat-option *ngFor="let tagTitle of filterTags | async" [value]="tagTitle">
            {{tagTitle}}
          </mat-option>
        </mat-autocomplete>
      </mat-form-field>
    <div class="button-display">
        <button class="cancel-button" (click)="onCancel()" mat-button>Annuler</button>
        <div *ngIf="!data">
          <button [disabled]="!creationForm.valid" class="validate-button" (click)="onSubmit()" mat-button>Créer</button>
        </div>
        <div *ngIf="data">
          <button [disabled]="!creationForm.valid" class="validate-button" (click)="onUpdate()" mat-button>Modifier</button>
        </div>
    </div>

</form>